Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not correctly handle MIME messages containing "From " lines

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2022 22:47:28 +0300

> Cc: [email-masked], [email-masked]
> Date: Mon, 10 Oct 2022 22:03:51 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Mark Lillibridge <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> > Date: Mon, 10 Oct 2022 11:25:55 -0700
> > 
> > 
> >     If you don't want to start with an existing mbox, send a message to
> > yourself containing a line like "From nothing" in the body.  You will
> > see that a > incorrectly shows up in the Rmail display due to bug
> > #13328.
> 
> I just did, and I don't see the bug (in Emacs 28.2).  The mbox file I
> get does include a line that begins with ">From", but in the message
> buffer presented by Rmail to me I see just "From", with the ">"
> removed.
> 
> I see the same in Emacs 28.1, so I'm unsure why you see the problem
> there.  Maybe the reproduction recipe above is too simple, and
> something else is missing to reproduce the problem?

And now I've also sent to myself a message with a MIME attachment,
where the attachment was a text that included a line that began with a
"From".  In the message I received, if I tell Rmail to show the
attachment, I see that line without any leading ">" before "From".  So
again, I'm unable to reproduce the problem you are describing.

Are you sure you are using rmail.el which came with Emacs 28?